/**
 * Data model pour les modificateurs
 */
export default class ModifierDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      modifiertype: new fields.StringField({ initial: "roll" }),
      value: new fields.NumberField({ initial: 0, integer: true }),
      attribut: new fields.StringField({ initial: "aucun" }),
      competence: new fields.StringField({ initial: "aucun" }),
      permanent: new fields.BooleanField({ initial: true }),
      once: new fields.BooleanField({ initial: false }),
      duree: new fields.StringField({ initial: "" })
    };
  }
}